Subject: Re: linux-next: build warnings after merge of Linus' tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 13 Nov 2025 03:49:27 -0500

On Thu, Nov 13, 2025 at 12:55:37PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next build (htmldocs) produced these warnings:
> 
> WARNING: /home/sfr/kernels/next/next/include/linux/virtio_config.h:174 duplicate section name 'Return'
> WARNING: /home/sfr/kernels/next/next/include/linux/virtio_config.h:184 duplicate section name 'Return'
> WARNING: /home/sfr/kernels/next/next/include/linux/virtio_config.h:190 duplicate section name 'Return'
> 
> Introduced by commit
> 
>   bee8c7c24b73 ("virtio: introduce map ops in virtio core")
> 
> but is probably a bug in our scripts as those lines above have "Returns:"
> in them, not "Return:".
> 
> These have turned up now since a bug was fixed that was repressing a
> lot of warnings.

Indeed. But the rest of header says Returns ... without : so I will just
fix this one to do the same. I also fixed other issues in the comments
in this header while I was at it. Will post shortly.

> -- 
> Cheers,
> Stephen Rothwell